Package org.eclipse.net4j.util.container

# Schnittstelle IManagedContainer.ContainerAware

Alle bekannten Unterschnittstellen:
  `IManagedContainerFactory`

Alle bekannten Implementierungsklassen:
  `AnnotationFactory`, `TreeFactory.ContainerAware`

Umschließende Schnittstelle:
  `IManagedContainer`

public static interface IManagedContainer.ContainerAware

Seit:
  3.4
Autor:
  Eike Stepper

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`void`
`setManagedContainer(IManagedContainer container)`
Assigns the container that I should use to get my dependencies.

## Methodendetails

### setManagedContainer

void setManagedContainer(IManagedContainer container)
Assigns the container that I should use to get my dependencies.

Parameter:
  `container` - the container in which I am created/registered